Skip to content
ShopentlyLearn

Create a product

Add new products to the catalog.

POST/api/v1/products

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/products \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-create_product_api_v1_products_post' \
  --header 'Content-Type: application/json' \
  --data-raw '{"name":"Example","sku":"example"}'

Response

{
  "data": {
    "deleted": false,
    "id": "example",
    "version": 1
  },
  "meta": {
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
Create productscatalog.product:create

When you also create variants

If you provide values in variant_value_ids, add to the key:

  • Create variant combinationscatalog.product_variant:create